QGIS Application - Bug report #14251
No "Recent" section available for functions list when using the geometry generator for the Style
2016-02-08 08:52 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.7 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22247
Description

Layer properties --> Style and select geometry generator for your symbol layer type
In the functions frame, the section Recent is not available to help you reuse previous expressions.

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-05-02 02:07 PM - Harrissou Santanna

- Description updated

- Category set to Symbology

- Affected QGIS version changed from master to 2.18.7

This is still true in 2.18 (next LTR) but no longer in master given that instead of showing the Expression builder with its functions selecting the geometry
generator shows the Expression button. This button then opens a modal Expression buider dialog with the "Recent" category listed.

Btw, the QGIS3 system questions me because:

- it adds an additional click to access that dialog;

- when in the Layer properties dialog, it's weird to have a so big frame to write expression (without functions and help panels)

- when in Layer Styling panel, the space is more comfortable than 2.18 but clicking the expression button opens a modal dialog (and | think the spirit of

layer styling panel is to avoid blocking dialogs and have all dialogs embedded)

#3 - 2019-03-09 03:09 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
